Bug 1956689 - [MTV] Forklift Controller pod went into CrashLoopbackOff with MTV 2.0.0-5
Summary: [MTV] Forklift Controller pod went into CrashLoopbackOff with MTV 2.0.0-5
Keywords:
Status: VERIFIED
Alias: None
Product: Migration Toolkit for Virtualization
Classification: Red Hat
Component: MTV Operator
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.0.0
Assignee: Fabien Dupont
QA Contact: Ilanit Stein
Avital Pinnick
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 08:48 UTC by Md Nadeem
Modified: 2021-05-12 06:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Md Nadeem 2021-05-04 08:48:36 UTC
Description of problem:

While installing the latest available MTV version MTV 2.0.0-5, The Forklift Controller pod went into CrashLoopbackOff status and I got the below message from the pod log.

~~~~
standard_init_linux.go:219: exec user process caused: no such file or directory
~~~~

Version-Release number of selected component (if applicable):
MTV 2.0.0-5 

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fabien Dupont 2021-05-06 10:29:00 UTC
The issue was in the base image used to build the container: scratch is not enough.

Should be fixed with build 2.0.0-8 / iib:72981.

Comment 2 Amos Mastbaum 2021-05-06 12:27:37 UTC
2.0.0-8 / iib:72981 verified


Note You need to log in before you can comment on or make changes to this bug.